#!/bin/bash

if [[ ! -e configure.ac ]] && [[ ! -d udev ]]
then
	echo "Run me inside the udev-src directory"
	exit 1
fi

temp=$(mktemp -d)
svn_base_uri="svn://cvs.magellan-linux.de/pkg-src"
svn_module="udev"
rev_keyword="${svn_module}"

SRC_RULES=$(find . -name \*.rules)

pushd ${temp}
svn checkout ${svn_base_uri}/trunk/${svn_module} ${svn_module}
popd

for rule in ${SRC_RULES}
do
	case ${rule} in
		*/arch/*) magellan_rule="${temp}/${svn_module}/udev-arch-$(echo ${rule} | sed 's/.*[0-9]-\(.*\).rules/\1/').rules.magellan" ;;
		*probe_mtd*) magellan_rule="${temp}/${svn_module}/udev-probe-mtd.rules.magellan" ;;
		*udev-late*) magellan_rule="${temp}/${svn_module}/udev-late.rules.magellan" ;;
		*udev-default*) magellan_rule="${temp}/${svn_module}/udev.rules.magellan" ;;
		*) magellan_rule="${temp}/${svn_module}/udev-$(echo ${rule} | sed 's/.*[0-9]-\(.*\).rules/\1/').rules.magellan" ;;
	esac

	[[ ! -f ${magellan_rule} ]] && echo -e "\n\nnew upstream rule: ${rule}"

	diff -Naur ${magellan_rule} ${rule}
done

if [[ -d ${temp} ]]
then
	rm -rf ${temp}
fi
